server:
  port: 0  # Random port for tests

spring:
  datasource:
    url: jdbc:h2:mem:testdb;DB_CLOSE_DELAY=-1;DB_CLOSE_ON_EXIT=FALSE
    username: sa
    password:
    driver-class-name: org.h2.Driver

  jpa:
    hibernate:
      ddl-auto: create-drop
    properties:
      hibernate:
        format_sql: true
        use_sql_comments: true
        dialect: org.hibernate.dialect.H2Dialect
    open-in-view: false
    show-sql: true

  sql:
    init:
      encoding: UTF-8

  session:
    store-type: none  # Disable Redis for tests

  # Disable Redis in tests
  data:
    redis:
      host: localhost
      port: 6379

  # Disable Kafka for tests
  kafka:
    bootstrap-servers:

  cloud:
    aws:
      region: ap-northeast-2
      credentials:
        access-key: test-access-key
        secret-key: test-secret-key
      s3:
        bucket: test-bucket
        base-url: http://localhost:9000/test-bucket
        endpoint: http://localhost:9000
        path-style-access: true

oauth:
  kakao:
    client-id: test-client-id
    redirect-uris: http://localhost:3000/auth
    redirect-uri: http://localhost:3000/auth

jwt:
  secret-key: "test-jwt-secret-key-that-is-sufficiently-long-and-secure-for-testing-purposes-minimum-256-bits-required-by-jwt-library"
  access-token-validity-in-ms: 1800000
  refresh-token-validity-in-ms: 1209600000

# Cookie settings for tests (테스트는 secure=true 사용)
cookie:
  secure: true
  same-site: None

# Test profile specific settings
logging:
  level:
    org.springframework.web: DEBUG
    com.example.soso: DEBUG
    org.hibernate.SQL: DEBUG
    org.hibernate.type.descriptor.sql.BasicBinder: TRACE
